<%@ Page Language="VB" ResponseEncoding="iso-8859-1" %>
<%@ Register TagPrefix="Rico" Assembly="Rico" NameSpace="Rico" %>
<%@ Register TagPrefix="My" TagName="dbLib" Src="dbConnect.ascx" %>
<My:dbLib id='app' runat='server' />

<script runat="server">

Sub Page_Load(Sender As object, e As EventArgs)
  Session.Timeout=60
  app.OpenGrid(ex2style)
End Sub

</script>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<title>Rico LiveGrid-Example 2</title>

<Rico:LoadClient checkQueryString='true' runat='server' />
<link href="../demo.css" type="text/css" rel="stylesheet" />

</head>
<body>

<div id='explanation'>
Base Library: 
<script type='text/javascript'>
document.write(Rico.Lib+' '+Rico.LibVersion);
</script>
<hr>
This example shows that columns can be styled. The two date columns have the font color set to red.
Notice that when you export to Excel, those Excel columns are also red. Styles and number formats get copied into the Excel export!
Click on a cell to see available actions.
</div>

<Rico:LiveGrid runat='server' id='ex2style' DefaultSort='OrderID' menuEvent='click' frozenColumns='1' highlightElem='cursorRow'>
  <Rico:Table runat='server' TblName='orders' />
  <Rico:TableCol runat='server' ColName='OrderID' heading='Order#' width='60' />
  <Rico:TableCol runat='server' ColName='CustomerID' heading='Cust#' width='60' />
  <Rico:TableCol runat='server' ColName='ShipName' heading='Ship Name' width='150' />
  <Rico:TableCol runat='server' ColName='ShipCity' heading='Ship City' width='120' />
  <Rico:TableCol runat='server' ColName='ShipCountry' heading='Ship Country' width='90' />
  <Rico:TableCol runat='server' ColName='OrderDate' heading='Order Date' datatype='date' width='100' ForeColor='red' />
  <Rico:TableCol runat='server' ColName='ShippedDate' heading='Ship Date' datatype='date' width='100' ForeColor='red' />
</Rico:LiveGrid>

</body>
</html>
